> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Base Stats

> Get knowledge base statistics for an agent (Local System).

Returns:
- Total chunk count
- Current KB version
- Processing status
- Document count

Use this to:
- Monitor KB size and capacity
- Check processing status
- Debug KB issues



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /agents/{agent_id}/knowledge/stats
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /agents/{agent_id}/knowledge/stats:
    get:
      tags:
        - agent-knowledge
      summary: Get Knowledge Base Stats
      description: |-
        Get knowledge base statistics for an agent (Local System).

        Returns:
        - Total chunk count
        - Current KB version
        - Processing status
        - Document count

        Use this to:
        - Monitor KB size and capacity
        - Check processing status
        - Debug KB issues
      operationId: get_knowledge_base_stats_agents__agent_id__knowledge_stats_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeBaseStatsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    KnowledgeBaseStatsResponse:
      properties:
        agent_id:
          type: string
          title: Agent Id
        current_kb_version:
          type: string
          title: Current Kb Version
        chunk_count:
          type: integer
          title: Chunk Count
        status:
          type: string
          title: Status
        document_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Document Count
        last_updated:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Updated
      type: object
      required:
        - agent_id
        - current_kb_version
        - chunk_count
        - status
      title: KnowledgeBaseStatsResponse
      description: Response for knowledge base statistics.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````